/* pltiy - plot integer array, y values only */

float   dx1 = 0., dy1 = 0., dx2 = 10.5, dy2 = 8.;
float   gx1 = 0., gy1 = 0., gx2 = 10.5, gy2 = 8.;
float   xg = 1., yg = 1., xo = 0., yo = 0.;

pltiy(n, iy)
short     n;
short     iy[];
{
    short     i;
    float   x1, y1, x2, y2, dx;

    dx = 1. / n;
    x1 = xo;
    y1 = yo + yg * iy[0];
    for (i = 1; i < n; i++) {
	x2 = xo + xg * i * dx;
	y2 = yo + yg * iy[i];
	tpcl(x1, y1, x2, y2);
	x1 = x2;
	y1 = y2;
    }
}

gwindo(x1, y1, x2, y2)
float   x1, y1, x2, y2;
{
    gx1 = x1;
    gy1 = y1;
    gx2 = x2;
    gy2 = y2;
    xg = (gx2 - gx1) / (dx2 - dx1);
    yg = (gy2 - gy1) / (dy2 - dy1);
    xo = gx1 - dx1 * xg;
    yo = gy1 - dy1 * yg;
    setclp(x1, y1, x2, y2);
}

dwindo(x1, y1, x2, y2)
float   x1, y1, x2, y2;
{
    dx1 = x1;
    dy1 = y1;
    dx2 = x2;
    dy2 = y2;
    xg = (dx2 - dx1) / (dx2 - dx1);
    yg = (dy2 - dy1) / (dy2 - dy1);
    xo = dx1 - dx1 * xg;
    yo = dy1 - dy1 * yg;
}

box(x1, y1, x2, y2)
float   x1, y1, x2, y2;
{
    float   x[5], y[5];

    x[0] = x1;
    x[1] = x2;
    x[2] = x2;
    x[3] = x1;
    x[4] = x1;
    y[0] = y1;
    y[1] = y1;
    y[2] = y2;
    y[3] = y2;
    y[4] = y1;
    line(5, x, y);
}
