/* wrils - write an ILS format file */

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#ifdef MSDOS
#include <io.h>
#else
#define O_BINARY    0
#endif

#define ILS -32000
#define BLKSIZ 256

short     errno;

wrils(filnam, buffer, rate, npts)	/* write an ILS file */
char    filnam[];
short     buffer[];
float   rate;
long    npts;
{
    short     fd, oflag, pmode, blocks, i, j, *ptr, ils_header[BLKSIZ];
    short     bytes;
    char    bbuf[512];

    oflag = O_RDWR | O_BINARY | O_CREAT;
    pmode = S_IREAD | S_IWRITE;
    fd = open(filnam, oflag, pmode);	/* open the file */
    if (fd == -1)
	perror("open failed");
    for (i = 0; i < BLKSIZ; i++)
	ils_header[i] = 0;
    ils_header[62] = ILS;

    blocks = npts / BLKSIZ;
    ils_header[5] = blocks;
    ils_header[60] = 3;
    ils_header[61] = rate / 1000;
#ifdef NEXT
    swab((char *) params, (char *) params, BLKSIZ * sizeof(short));
#endif /* NEXT */
    bytes = write(fd, (char *) ils_header, BLKSIZ * sizeof(int));
    if (bytes == -1) {
	perror("write error");
    }
    ptr = buffer;
    for (i = 0; i < blocks; i++) {
#ifdef NEXT
	swab((char *) ptr, (char *) ptr, BLKSIZ * sizeof(short));
#endif /* NEXT */
	write(fd, (char *) ptr, BLKSIZ * sizeof(int));	/* read data */
	ptr += BLKSIZ;
    }
    close(fd);
}
